## org.exist.xquery.value.test
Class DayTimeDurationTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.exist.xquery.value.test.AbstractTimeRelatedTestCase
                  org.exist.xquery.value.test.DayTimeDurationTest

All Implemented Interfaces:
  junit.framework.Test

public class DayTimeDurationTest
extends AbstractTimeRelatedTestCase

Constructor Summary
`DayTimeDurationTest()`

Method Summary
`void` `testCompare1()`
`void` `testCompare2()`
`void` `testCompare3()`
`void` `testCompare4()`
`void` `testCompare5()`
`void` `testConvert1()`
`void` `testConvert2()`
`void` `testCreate1()`
`void` `testCreate2()`
`void` `testCreate3()`
`void` `testDiv1()`
`void` `testDiv2()`
`void` `testGetPart1()`
`void` `testGetPart2()`
`void` `testGetType()`
`void` `testGetValue1()`
`void` `testGetValue2()`
`void` `testMinMax1()`
`void` `testMinus1()`
`void` `testMult1()`
`void` `testPlus1()`
`void` `testStringFormat1()`
`void` `testStringFormat2()`
`void` `testStringFormat3()`
`void` `testStringFormat4()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DayTimeDurationTest

    public DayTimeDurationTest()

Method Detail

### testCreate1

    public void testCreate1()

### testCreate2

    public void testCreate2()

### testCreate3

    public void testCreate3()

### testStringFormat1

    public void testStringFormat1()
                           throws XPathException

  Throws:
    `XPathException`

### testStringFormat2

    public void testStringFormat2()
                           throws XPathException

  Throws:
    `XPathException`

### testStringFormat3

    public void testStringFormat3()
                           throws XPathException

  Throws:
    `XPathException`

### testStringFormat4

    public void testStringFormat4()
                           throws XPathException

  Throws:
    `XPathException`

### testConvert1

    public void testConvert1()
                      throws XPathException

  Throws:
    `XPathException`

### testConvert2

    public void testConvert2()
                      throws XPathException

  Throws:
    `XPathException`

### testGetPart1

    public void testGetPart1()
                      throws XPathException

  Throws:
    `XPathException`

### testGetPart2

    public void testGetPart2()
                      throws XPathException

  Throws:
    `XPathException`

### testGetValue1

    public void testGetValue1()
                       throws XPathException

  Throws:
    `XPathException`

### testGetValue2

    public void testGetValue2()
                       throws XPathException

  Throws:
    `XPathException`

### testGetType

    public void testGetType()
                     throws XPathException

  Throws:
    `XPathException`

### testCompare1

    public void testCompare1()
                      throws XPathException

  Throws:
    `XPathException`

### testCompare2

    public void testCompare2()
                      throws XPathException

  Throws:
    `XPathException`

### testCompare3

    public void testCompare3()
                      throws XPathException

  Throws:
    `XPathException`

### testCompare4

    public void testCompare4()
                      throws XPathException

  Throws:
    `XPathException`

### testCompare5

    public void testCompare5()
                      throws XPathException

  Throws:
    `XPathException`

### testMinMax1

    public void testMinMax1()
                     throws XPathException

  Throws:
    `XPathException`

### testPlus1

    public void testPlus1()
                   throws XPathException

  Throws:
    `XPathException`

### testMinus1

    public void testMinus1()
                    throws XPathException

  Throws:
    `XPathException`

### testMult1

    public void testMult1()
                   throws XPathException

  Throws:
    `XPathException`

### testDiv1

    public void testDiv1()
                  throws XPathException

  Throws:
    `XPathException`

### testDiv2

    public void testDiv2()
                  throws XPathException

  Throws:
    `XPathException`

Copyright (C) Wolfgang Meier. All rights reserved.